For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Create Hosted Payment Page

POST
https://javelin.runpayments.io/api/v1/hpp
POST
/api/v1/hpp
$curl -X POST https://javelin.runpayments.io/api/v1/hpp \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Spring Sale Payment",
> "cc_mid": "MID123456789"
>}'
1{
2 "url": "https://javelin.runpayments.io/hpp/abc123def456"
3}
Creates a hosted payment page based on the parameters provided. The response will provide a link directly to the page for a customer to pay for an amount.
Was this page helpful?
Previous

Edit Hosted Payment Page

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Name of the Hosted Payment page.
cc_midstringRequired

Merchant ID of the credit card MID to be used on the page. (Required if no ach_mid is provided.)

ach_midstringOptional

Merchant ID of the ACH MID to be used on the page. (Required if no cc_mid is provided.)

name_on_accountstringOptional

Customer name to be pre-filled on the HPP.

amountstringOptional

Amount to be pre-filled on the HPP.

lock_amountbooleanOptional
Setting if the amount should be locked or not.
disable_after_paymentbooleanOptional
Setting if the HPP should be disabled after payment.
hpp_optionslist of objectsOptional

Custom settings for an individual HPP.
Possible values include custom_01 through custom_05, invoice_id, address, phone or email.

Response

Hosted payment page created successfully
urlstring
Link to the hosted payment page for the customer.

Errors

400
Bad Request Error
401
Unauthorized Error